﻿using System.Collections.Generic;
using System.Linq;
using EF_Delete_MVC_Core.Models;
using Microsoft.AspNetCore.Mvc;

namespace EF_Delete_MVC_Core.Controllers
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; }
        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Index(Customer customer)
        {
            Customer deletedCustomer = (from c in this.Context.Customers
                                        where c.CustomerId == customer.CustomerId
                                        select c).FirstOrDefault();

            if (deletedCustomer != null)
            {
                this.Context.Customers.Remove(deletedCustomer);
                this.Context.SaveChanges();
                ViewBag.Message = "Customer record deleted.";
            }
            else
            {
                ViewBag.Message = "Customer not found.";
            }

            return View();
        }
    }
}